Subject: Re: [RFC_PATCHv4 5/7] submodule update: respect submodule.actionOnLabel

From: Junio C Hamano <[email-masked]>
Date: Thu, 24 Mar 2016 14:14:12 -0700

Stefan Beller <[email-masked]> writes:

> Maybe we can revive the term "group" and call it submodule.defaultGroup.
> The defaultGroup is defined by selection of names, paths and labels.

There are many ways to specify one or more of submodules:

 - By giving "pathspecs", you would choose submodules whose paths
   match them;

 - By giving one or more "names", you would choose the submodule
   with one of these names; or

 - By giving one or more "labels", you would choose submodules that
   have one of these labels.

It is perfectly fine to call the chosen set of submodules "group of
submodules".  It does not have any connotation on what is to be done
about the group, so that is probably the best word suggested so far
in the thread.